### Method

# Gtk Dialogset_default_response

deprecated: 4.10

#### Declaration [src]

    void
    gtk_dialog_set_default_response (
      GtkDialog* dialog,
      int response_id
    )

#### Description [src]

Sets the default widget for the dialog based on the response ID.

Pressing “Enter” normally activates the default widget.

Deprecated since: 4.10

Use `GtkWindow` instead.

#### Parameters

`response_id`

  Type: `int`

  A response ID.